Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMacStyle Class Reference

The QMacStyle class implements an Appearance Manager style. More...

`#include <qmacstyle_mac.h>`

Inherits QWindowsStyle.

List of all member functions.

## Public Members

- QMacStyle ()
- virtual ~QMacStyle ()

## Detailed Description

The QMacStyle class implements an Appearance Manager style.

This class is implemented as a wrapper to the Apple Appearance Manager. This allows your application to be styled by whatever theme your Macintosh is using. This is done by having primitives in QStyle implemented in terms of what the Macintosh would normally theme (i.e. the Finder). The implementation does have some limitations, generally the same ones described in the QAquaStyle documentation.

Note that the functions provided by QMacStyle are reimplementations of QStyle functions; see QStyle for their documentation.

See also Widget Appearance and Style.

## Member Function Documentation

### QMacStyle::QMacStyle ()

Constructs a QMacStyle object.

### QMacStyle::~QMacStyle ()`[virtual]`

Destructs a QMacStyle object.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.